#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

ESP8266WebServer server;

const int trigPin = 0;//D3
const int echoPin = 2;//D4

char* mySsid = "Save water";
char* password = "Water_is_life";// passward sholud be minimum 8 digit long

IPAddress ip(192, 168, 40, 192); // by connecting to this server that is ESP_MESH11 you can check the sensor value at this ip
IPAddress gateway(192, 168, 44, 1); //   gateway ip through which the data is going .The main thing in this is the frame 43 this should be the same as of your esp8266
IPAddress subnet(255, 255, 255, 0); // Use this by default


long duration;
int distance;

String webString = "";

void setup(void)
{
  pinMode(trigPin, OUTPUT); // Sets the trigPin as an Output
  pinMode(echoPin, INPUT); // Sets the echoPin as an Input;
  Serial.begin(115200);  // Serial connection from ESP-01 via 3.3v ttl cable
  WiFi.mode(WIFI_AP);

  delay(1000);
  Serial.println("Access point created ");
  Serial.print("check sensor output at this ip::");



  Serial.println(ip);
  WiFi.softAPConfig(ip, gateway, subnet);
  WiFi.softAP(mySsid, password);
}

void Ultrasonic()
{
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  // Sets the trigPin on HIGH state for 10 micro seconds
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  // Reads the echoPin, returns the sound wave travel time in microseconds
  duration = pulseIn(echoPin, HIGH);

  // Calculating the distance
  distance = duration * 0.034029 / 2;

  Serial.print("Distance: ");
  Serial.print(distance);
  Serial.println(" cm");
}

void loop()
{

  server.handleClient();

  server.on("/", []() {    // if you add this subdirectory to your webserver call, you get text below :)
    Ultrasonic();
    webString = "Distance: " + String(distance) + " cm";

    server.send(200, "text/plain", webString );
  });
  server.begin();
  delay(1000);
}






